org.apache.activemq.artemis.spi.core.security.jaas

## Class PropertiesLoginModuleConfigurator

- java.lang.Object
- - org.apache.activemq.artemis.spi.core.security.jaas.PropertiesLoginModuleConfigurator

- All Implemented Interfaces:
    UserManagement

      public class PropertiesLoginModuleConfigurator
      extends Object
      implements UserManagement

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertiesLoginModuleConfigurator(String entryName, String brokerEtc)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addNewUser(String username, String hash, String... roles)`
    `Map<String,Set<String>>` | `listUser(String username)`
    `void` | `removeUser(String username)`
    `void` | `save()`
    `void` | `updateUser(String username, String password, String... roles)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertiesLoginModuleConfigurator

          public PropertiesLoginModuleConfigurator(String entryName,
                                                   String brokerEtc)
                                            throws Exception

      Throws:
        `Exception`

  - ### Method Detail

    - #### addNewUser

          public void addNewUser(String username,
                                 String hash,
                                 String... roles)

      Specified by:
        `addNewUser` in interface `UserManagement`

    - #### save

          public void save()
                    throws Exception

      Throws:
        `Exception`

    - #### removeUser

          public void removeUser(String username)

      Specified by:
        `removeUser` in interface `UserManagement`

    - #### listUser

          public Map<String,Set<String>> listUser(String username)

      Specified by:
        `listUser` in interface `UserManagement`

    - #### updateUser

          public void updateUser(String username,
                                 String password,
                                 String... roles)

      Specified by:
        `updateUser` in interface `UserManagement`

Copyright © 2020 The Apache Software Foundation. All rights reserved.